<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.14.0">
  <compound kind="file">
    <name>authors.doc</name>
    <path>doc/local/</path>
    <filename>authors_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>codingrules.doc</name>
    <path>doc/local/</path>
    <filename>codingrules_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>copyright.doc</name>
    <path>doc/local/</path>
    <filename>copyright_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>documentation.doc</name>
    <path>doc/local/</path>
    <filename>documentation_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>features.doc</name>
    <path>doc/local/</path>
    <filename>features_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>help_wanted.doc</name>
    <path>doc/local/</path>
    <filename>help__wanted_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>index.doc</name>
    <path>doc/local/</path>
    <filename>index_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>installation.doc</name>
    <path>doc/local/</path>
    <filename>installation_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>linking.doc</name>
    <path>doc/local/</path>
    <filename>linking_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>test.doc</name>
    <path>doc/local/</path>
    <filename>test_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>users_guide.doc</name>
    <path>doc/local/</path>
    <filename>users__guide_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>verification.doc</name>
    <path>doc/local/</path>
    <filename>verification_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>tutorial.doc</name>
    <path>doc/tutorial/</path>
    <filename>tutorial_8doc.html</filename>
  </compound>
  <compound kind="file">
    <name>PartnerSimulationTestSuite.cpp</name>
    <path>test/tvlsim/</path>
    <filename>PartnerSimulationTestSuite_8cpp.html</filename>
  </compound>
  <compound kind="file">
    <name>SimulationTestSuite.cpp</name>
    <path>test/tvlsim/</path>
    <filename>SimulationTestSuite_8cpp.html</filename>
  </compound>
  <compound kind="file">
    <name>BasConst.cpp</name>
    <path>tvlsim/basic/</path>
    <filename>BasConst_8cpp.html</filename>
    <includes id="BasConst__General_8hpp" name="BasConst_General.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/BasConst_General.hpp</includes>
    <includes id="BasConst__TVLSIM__Service_8hpp" name="BasConst_TVLSIM_Service.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/BasConst_TVLSIM_Service.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>BasConst_General.hpp</name>
    <path>tvlsim/basic/</path>
    <filename>BasConst__General_8hpp.html</filename>
    <includes id="TVLSIM__Types_8hpp" name="TVLSIM_Types.hpp" local="no" import="no" module="no" objc="no">tvlsim/TVLSIM_Types.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>BasConst_TVLSIM_Service.hpp</name>
    <path>tvlsim/basic/</path>
    <filename>BasConst__TVLSIM__Service_8hpp.html</filename>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>SimulationMode.cpp</name>
    <path>tvlsim/basic/</path>
    <filename>SimulationMode_8cpp.html</filename>
    <includes id="SimulationMode_8hpp" name="SimulationMode.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/SimulationMode.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>SimulationMode.hpp</name>
    <path>tvlsim/basic/</path>
    <filename>SimulationMode_8hpp.html</filename>
    <class kind="struct">TVLSIM::SimulationMode</class>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>simulate.cpp</name>
    <path>tvlsim/batches/</path>
    <filename>simulate_8cpp.html</filename>
    <includes id="TVLSIM__Service_8hpp" name="TVLSIM_Service.hpp" local="no" import="no" module="no" objc="no">tvlsim/TVLSIM_Service.hpp</includes>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>NbOfRuns_T</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a380b74883e1b57be9e8afae6833d2f99</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; std::string &gt;</type>
      <name>WordList_T</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a950635e3678f52a96e96d48987d7bbf0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_LOG_FILENAME</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a0b790103dc52d79377c09c56fe224a2c</anchor>
      <arglist>(&quot;simulate.log&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_SCHEDULE_INPUT_FILENAME</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a44dbd043f9ba64ad7ffb31d3ccdab46d</anchor>
      <arglist>(STDAIR_SAMPLE_DIR &quot;/rds01/schedule.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_OND_INPUT_FILENAME</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a687220026e0d685d9002901ba8db85a5</anchor>
      <arglist>(STDAIR_SAMPLE_DIR &quot;/ond01.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_FRAT5_INPUT_FILENAME</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a4fe2d852fa384e69c4d5ed6769056270</anchor>
      <arglist>(STDAIR_SAMPLE_DIR &quot;/frat5.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_FF_DISUTILITY_INPUT_FILENAME</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a12b05bed3171d849e979d0c4835515fe</anchor>
      <arglist>(STDAIR_SAMPLE_DIR &quot;/ffDisutility.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_YIELD_INPUT_FILENAME</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a40ed1198cc74a13458789b1a6ea0d293</anchor>
      <arglist>(STDAIR_SAMPLE_DIR &quot;/rds01/yield.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_FARE_INPUT_FILENAME</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a8d3e282212b5bed2190c8e211b860443</anchor>
      <arglist>(STDAIR_SAMPLE_DIR &quot;/rds01/fare.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_DEMAND_INPUT_FILENAME</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a4f63ea9ded065cbce712d738f9c2accc</anchor>
      <arglist>(STDAIR_SAMPLE_DIR &quot;/rds01/demand.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const char</type>
      <name>K_TVLSIM_DEMAND_GENERATION_METHOD_CHAR</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a043509c185cc515bb9e095de5c8bf901</anchor>
      <arglist>(&apos;S&apos;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_QUERY_STRING</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a2b76c7bc13307efe08e9ad05bc1b7eff</anchor>
      <arglist>(&quot;my good old query&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_DB_USER</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>ae0e2dd5a37ce0635c8300963d5a6d1d0</anchor>
      <arglist>(&quot;tvlsim&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_DB_PASSWD</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a33b58c28ff1493c9eec7cc36d4ddd4f3</anchor>
      <arglist>(&quot;tvlsim&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_DB_DBNAME</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a55daa1ab948d9db1a1e5d99fb729cbf8</anchor>
      <arglist>(&quot;sim_tvlsim&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_DB_HOST</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a6bc28244ba7fe97ed55aefc4b11675cc</anchor>
      <arglist>(&quot;localhost&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_TVLSIM_DEFAULT_DB_PORT</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a981f0bf08bb5d75350f1c6080290556b</anchor>
      <arglist>(&quot;3306&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>tokeniseStringIntoWordList</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a6577fe935dc330fcd24f993100d63f49</anchor>
      <arglist>(const std::string &amp;iPhrase, WordList_T &amp;ioWordList)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>createStringFromWordList</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a037afdf8e297b9c96c7a979aee2496a5</anchor>
      <arglist>(const WordList_T &amp;iWordList)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>aaf2944052a36661fbd47b4de13aa56f0</anchor>
      <arglist>(std::ostream &amp;os, const std::vector&lt; T &gt; &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readConfiguration</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>aaa066f4427ec100584bc7f57a4820331</anchor>
      <arglist>(int argc, char *argv[], bool &amp;ioIsBuiltin, stdair::RandomSeed_T &amp;ioRandomSeed, NbOfRuns_T &amp;ioRandomRuns, std::string &amp;ioQueryString, stdair::Filename_T &amp;ioScheduleInputFilename, stdair::Filename_T &amp;ioOnDInputFilename, stdair::Filename_T &amp;ioFRAT5Filename, stdair::Filename_T &amp;ioFFDisutilityFilename, stdair::Filename_T &amp;ioYieldInputFilename, stdair::Filename_T &amp;ioFareInputFilename, stdair::Filename_T &amp;ioDemandInputFilename, std::string &amp;ioLogFilename, stdair::DemandGenerationMethod &amp;ioDemandGenerationMethod, std::string &amp;ioDBUser, std::string &amp;ioDBPasswd, std::string &amp;ioDBHost, std::string &amp;ioDBPort, std::string &amp;ioDBDBName)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a0ddf1224851353fc92bfbff6f499fa97</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="variable">
      <type>const stdair::RandomSeed_T</type>
      <name>K_TRADEMGEN_DEFAULT_RANDOM_SEED</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a5b10217b2f50d79b8961a37783adaf75</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const NbOfRuns_T</type>
      <name>K_TRADEMGEN_DEFAULT_RANDOM_DRAWS</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a87505f15401544e134457ce525d0942e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const bool</type>
      <name>K_TVLSIM_DEFAULT_BUILT_IN_INPUT</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>ae2bb95a4d8c067122108bec9daf536e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const int</type>
      <name>K_TVLSIM_EARLY_RETURN_STATUS</name>
      <anchorfile>simulate_8cpp.html</anchorfile>
      <anchor>a9bcf3f1d3e485c265741fbcc26294ba4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BomAbstract.cpp</name>
    <path>tvlsim/bom/</path>
    <filename>BomAbstract_8cpp.html</filename>
    <includes id="BomAbstract_8hpp" name="BomAbstract.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/BomAbstract.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>BomAbstract.hpp</name>
    <path>tvlsim/bom/</path>
    <filename>BomAbstract_8hpp.html</filename>
    <class kind="class">TVLSIM::BomAbstract</class>
    <namespace>TVLSIM</namespace>
    <member kind="function">
      <type>std::basic_ostream&lt; charT, traits &gt; &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>BomAbstract_8hpp.html</anchorfile>
      <anchor>a9fcf41662f6890e13128c8e0862a083d</anchor>
      <arglist>(std::basic_ostream&lt; charT, traits &gt; &amp;ioOut, const TVLSIM::BomAbstract &amp;iBom)</arglist>
    </member>
    <member kind="function">
      <type>std::basic_istream&lt; charT, traits &gt; &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>BomAbstract_8hpp.html</anchorfile>
      <anchor>a48614c85749fbca0d05f43970b055a74</anchor>
      <arglist>(std::basic_istream&lt; charT, traits &gt; &amp;ioIn, TVLSIM::BomAbstract &amp;ioBom)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BomJSONExport.cpp</name>
    <path>tvlsim/bom/</path>
    <filename>BomJSONExport_8cpp.html</filename>
    <includes id="SimulationStatus_8hpp" name="SimulationStatus.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/SimulationStatus.hpp</includes>
    <includes id="BomJSONExport_8hpp" name="BomJSONExport.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/BomJSONExport.hpp</includes>
    <namespace>bpt</namespace>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>BomJSONExport.hpp</name>
    <path>tvlsim/bom/</path>
    <filename>BomJSONExport_8hpp.html</filename>
    <class kind="class">TVLSIM::BomJSONExport</class>
    <namespace>bpt</namespace>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>ConfigExport.cpp</name>
    <path>tvlsim/bom/</path>
    <filename>ConfigExport_8cpp.html</filename>
    <includes id="ConfigExport_8hpp" name="ConfigExport.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/ConfigExport.hpp</includes>
    <includes id="SimulationStatus_8hpp" name="SimulationStatus.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/SimulationStatus.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>ConfigExport.hpp</name>
    <path>tvlsim/bom/</path>
    <filename>ConfigExport_8hpp.html</filename>
    <includes id="TVLSIM__Types_8hpp" name="TVLSIM_Types.hpp" local="no" import="no" module="no" objc="no">tvlsim/TVLSIM_Types.hpp</includes>
    <class kind="class">TVLSIM::ConfigExport</class>
    <namespace>stdair</namespace>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>ConfigImport.cpp</name>
    <path>tvlsim/bom/</path>
    <filename>ConfigImport_8cpp.html</filename>
    <includes id="BasConst__TVLSIM__Service_8hpp" name="BasConst_TVLSIM_Service.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/BasConst_TVLSIM_Service.hpp</includes>
    <includes id="ConfigImport_8hpp" name="ConfigImport.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/ConfigImport.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>ConfigImport.hpp</name>
    <path>tvlsim/bom/</path>
    <filename>ConfigImport_8hpp.html</filename>
    <includes id="TVLSIM__Types_8hpp" name="TVLSIM_Types.hpp" local="no" import="no" module="no" objc="no">tvlsim/TVLSIM_Types.hpp</includes>
    <includes id="SimulationStatus_8hpp" name="SimulationStatus.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/SimulationStatus.hpp</includes>
    <class kind="class">TVLSIM::ConfigImport</class>
    <namespace>stdair</namespace>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>RDSParameters.cpp</name>
    <path>tvlsim/bom/</path>
    <filename>RDSParameters_8cpp.html</filename>
    <includes id="RDSParameters_8hpp" name="RDSParameters.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/RDSParameters.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>RDSParameters.hpp</name>
    <path>tvlsim/bom/</path>
    <filename>RDSParameters_8hpp.html</filename>
    <class kind="struct">TVLSIM::RDSParameters</class>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>SimulationStatus.cpp</name>
    <path>tvlsim/bom/</path>
    <filename>SimulationStatus_8cpp.html</filename>
    <includes id="BasConst__General_8hpp" name="BasConst_General.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/BasConst_General.hpp</includes>
    <includes id="BasConst__TVLSIM__Service_8hpp" name="BasConst_TVLSIM_Service.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/BasConst_TVLSIM_Service.hpp</includes>
    <includes id="SimulationStatus_8hpp" name="SimulationStatus.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/SimulationStatus.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>SimulationStatus.hpp</name>
    <path>tvlsim/bom/</path>
    <filename>SimulationStatus_8hpp.html</filename>
    <includes id="SimulationMode_8hpp" name="SimulationMode.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/SimulationMode.hpp</includes>
    <includes id="SimulationStatusKey_8hpp" name="SimulationStatusKey.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/SimulationStatusKey.hpp</includes>
    <includes id="TVLSIM__Types_8hpp" name="TVLSIM_Types.hpp" local="no" import="no" module="no" objc="no">tvlsim/TVLSIM_Types.hpp</includes>
    <class kind="struct">TVLSIM::SimulationStatus</class>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>SimulationStatusKey.cpp</name>
    <path>tvlsim/bom/</path>
    <filename>SimulationStatusKey_8cpp.html</filename>
    <includes id="BasConst__TVLSIM__Service_8hpp" name="BasConst_TVLSIM_Service.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/BasConst_TVLSIM_Service.hpp</includes>
    <includes id="SimulationStatusKey_8hpp" name="SimulationStatusKey.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/SimulationStatusKey.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>SimulationStatusKey.hpp</name>
    <path>tvlsim/bom/</path>
    <filename>SimulationStatusKey_8hpp.html</filename>
    <includes id="TVLSIM__Types_8hpp" name="TVLSIM_Types.hpp" local="no" import="no" module="no" objc="no">tvlsim/TVLSIM_Types.hpp</includes>
    <class kind="struct">TVLSIM::SimulationStatusKey</class>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>CmdAbstract.cpp</name>
    <path>tvlsim/command/</path>
    <filename>CmdAbstract_8cpp.html</filename>
    <includes id="CmdAbstract_8hpp" name="CmdAbstract.hpp" local="no" import="no" module="no" objc="no">tvlsim/command/CmdAbstract.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>CmdAbstract.hpp</name>
    <path>tvlsim/command/</path>
    <filename>CmdAbstract_8hpp.html</filename>
    <class kind="class">TVLSIM::CmdAbstract</class>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>Simulator.cpp</name>
    <path>tvlsim/command/</path>
    <filename>Simulator_8cpp.html</filename>
    <includes id="TVLSIM__Types_8hpp" name="TVLSIM_Types.hpp" local="no" import="no" module="no" objc="no">tvlsim/TVLSIM_Types.hpp</includes>
    <includes id="SimulationMode_8hpp" name="SimulationMode.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/SimulationMode.hpp</includes>
    <includes id="SimulationStatus_8hpp" name="SimulationStatus.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/SimulationStatus.hpp</includes>
    <includes id="Simulator_8hpp" name="Simulator.hpp" local="no" import="no" module="no" objc="no">tvlsim/command/Simulator.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>Simulator.hpp</name>
    <path>tvlsim/command/</path>
    <filename>Simulator_8hpp.html</filename>
    <includes id="CmdAbstract_8hpp" name="CmdAbstract.hpp" local="no" import="no" module="no" objc="no">tvlsim/command/CmdAbstract.hpp</includes>
    <class kind="class">TVLSIM::Simulator</class>
    <namespace>stdair</namespace>
    <namespace>SIMCRS</namespace>
    <namespace>TRADEMGEN</namespace>
    <namespace>TRAVELCCM</namespace>
    <namespace>SEVMGR</namespace>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>tvlsim-paths.hpp.in</name>
    <path>tvlsim/config/</path>
    <filename>tvlsim-paths_8hpp_8in.html</filename>
  </compound>
  <compound kind="file">
    <name>FacDsimServiceContext.cpp</name>
    <path>tvlsim/factory/</path>
    <filename>FacDsimServiceContext_8cpp.html</filename>
    <includes id="FacDsimServiceContext_8hpp" name="FacDsimServiceContext.hpp" local="no" import="no" module="no" objc="no">tvlsim/factory/FacDsimServiceContext.hpp</includes>
    <includes id="TVLSIM__ServiceContext_8hpp" name="TVLSIM_ServiceContext.hpp" local="no" import="no" module="no" objc="no">tvlsim/service/TVLSIM_ServiceContext.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>FacDsimServiceContext.hpp</name>
    <path>tvlsim/factory/</path>
    <filename>FacDsimServiceContext_8hpp.html</filename>
    <class kind="class">TVLSIM::FacDsimServiceContext</class>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>TvlSimServer.cpp</name>
    <path>tvlsim/server/</path>
    <filename>TvlSimServer_8cpp.html</filename>
  </compound>
  <compound kind="file">
    <name>TVLSIM_Service.cpp</name>
    <path>tvlsim/service/</path>
    <filename>TVLSIM__Service_8cpp.html</filename>
    <includes id="BasConst__TVLSIM__Service_8hpp" name="BasConst_TVLSIM_Service.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/BasConst_TVLSIM_Service.hpp</includes>
    <includes id="SimulationMode_8hpp" name="SimulationMode.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/SimulationMode.hpp</includes>
    <includes id="BomJSONExport_8hpp" name="BomJSONExport.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/BomJSONExport.hpp</includes>
    <includes id="ConfigImport_8hpp" name="ConfigImport.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/ConfigImport.hpp</includes>
    <includes id="ConfigExport_8hpp" name="ConfigExport.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/ConfigExport.hpp</includes>
    <includes id="FacDsimServiceContext_8hpp" name="FacDsimServiceContext.hpp" local="no" import="no" module="no" objc="no">tvlsim/factory/FacDsimServiceContext.hpp</includes>
    <includes id="Simulator_8hpp" name="Simulator.hpp" local="no" import="no" module="no" objc="no">tvlsim/command/Simulator.hpp</includes>
    <includes id="TVLSIM__ServiceContext_8hpp" name="TVLSIM_ServiceContext.hpp" local="no" import="no" module="no" objc="no">tvlsim/service/TVLSIM_ServiceContext.hpp</includes>
    <includes id="TVLSIM__Service_8hpp" name="TVLSIM_Service.hpp" local="no" import="no" module="no" objc="no">tvlsim/TVLSIM_Service.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>TVLSIM_ServiceContext.cpp</name>
    <path>tvlsim/service/</path>
    <filename>TVLSIM__ServiceContext_8cpp.html</filename>
    <includes id="SimulationStatus_8hpp" name="SimulationStatus.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/SimulationStatus.hpp</includes>
    <includes id="BasConst__TVLSIM__Service_8hpp" name="BasConst_TVLSIM_Service.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/BasConst_TVLSIM_Service.hpp</includes>
    <includes id="TVLSIM__ServiceContext_8hpp" name="TVLSIM_ServiceContext.hpp" local="no" import="no" module="no" objc="no">tvlsim/service/TVLSIM_ServiceContext.hpp</includes>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>TVLSIM_ServiceContext.hpp</name>
    <path>tvlsim/service/</path>
    <filename>TVLSIM__ServiceContext_8hpp.html</filename>
    <includes id="TVLSIM__Types_8hpp" name="TVLSIM_Types.hpp" local="no" import="no" module="no" objc="no">tvlsim/TVLSIM_Types.hpp</includes>
    <includes id="SimulationStatus_8hpp" name="SimulationStatus.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/SimulationStatus.hpp</includes>
    <includes id="RDSParameters_8hpp" name="RDSParameters.hpp" local="no" import="no" module="no" objc="no">tvlsim/bom/RDSParameters.hpp</includes>
    <class kind="class">TVLSIM::TVLSIM_ServiceContext</class>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>TVLSIM_Service.hpp</name>
    <path>tvlsim/</path>
    <filename>TVLSIM__Service_8hpp.html</filename>
    <includes id="BasConst__General_8hpp" name="BasConst_General.hpp" local="no" import="no" module="no" objc="no">tvlsim/basic/BasConst_General.hpp</includes>
    <includes id="TVLSIM__Types_8hpp" name="TVLSIM_Types.hpp" local="no" import="no" module="no" objc="no">tvlsim/TVLSIM_Types.hpp</includes>
    <class kind="class">TVLSIM::TVLSIM_Service</class>
    <namespace>stdair</namespace>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>TVLSIM_Types.hpp</name>
    <path>tvlsim/</path>
    <filename>TVLSIM__Types_8hpp.html</filename>
    <class kind="class">TVLSIM::SimulationException</class>
    <namespace>TVLSIM</namespace>
  </compound>
  <compound kind="file">
    <name>tvlsim.cpp</name>
    <path>tvlsim/ui/cmdline/</path>
    <filename>tvlsim_8cpp.html</filename>
  </compound>
  <compound kind="class">
    <name>TVLSIM::BomAbstract</name>
    <filename>classTVLSIM_1_1BomAbstract.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>toStream</name>
      <anchorfile>classTVLSIM_1_1BomAbstract.html</anchorfile>
      <anchor>ab85b1617f2679ea588b75aa18fe3737f</anchor>
      <arglist>(std::ostream &amp;ioOut) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>fromStream</name>
      <anchorfile>classTVLSIM_1_1BomAbstract.html</anchorfile>
      <anchor>adb26931365f033a7fcc348c143451811</anchor>
      <arglist>(std::istream &amp;ioIn)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::string</type>
      <name>toString</name>
      <anchorfile>classTVLSIM_1_1BomAbstract.html</anchorfile>
      <anchor>a47d3ee67923beb694dd26cdc4956a546</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::string</type>
      <name>describeKey</name>
      <anchorfile>classTVLSIM_1_1BomAbstract.html</anchorfile>
      <anchor>a046f24d4645291ac4a580628d1a063c0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::string</type>
      <name>describeShortKey</name>
      <anchorfile>classTVLSIM_1_1BomAbstract.html</anchorfile>
      <anchor>a1660c2e2b13c56f553821c2fcf4373f7</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>BomAbstract</name>
      <anchorfile>classTVLSIM_1_1BomAbstract.html</anchorfile>
      <anchor>a5fca6afa48c0a29a558210d35af5ebc9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>BomAbstract</name>
      <anchorfile>classTVLSIM_1_1BomAbstract.html</anchorfile>
      <anchor>a776a4c5ce0005746dcc4616591bea7b5</anchor>
      <arglist>(const BomAbstract &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~BomAbstract</name>
      <anchorfile>classTVLSIM_1_1BomAbstract.html</anchorfile>
      <anchor>aeb2dcd66838bbf348904a39cbbd71dd1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FacBomAbstract</name>
      <anchorfile>classTVLSIM_1_1BomAbstract.html</anchorfile>
      <anchor>af79d9e961ae56989b7d52860820938d3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TVLSIM::BomJSONExport</name>
    <filename>classTVLSIM_1_1BomJSONExport.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>jsonExportSimulationStatus</name>
      <anchorfile>classTVLSIM_1_1BomJSONExport.html</anchorfile>
      <anchor>a79a9998af205292789797d490671ba9a</anchor>
      <arglist>(std::ostream &amp;, const SimulationStatus &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TVLSIM::CmdAbstract</name>
    <filename>classTVLSIM_1_1CmdAbstract.html</filename>
  </compound>
  <compound kind="class">
    <name>TVLSIM::ConfigExport</name>
    <filename>classTVLSIM_1_1ConfigExport.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>updateSimulationStatus</name>
      <anchorfile>classTVLSIM_1_1ConfigExport.html</anchorfile>
      <anchor>ab802c702036b935b073a6730b02030fe</anchor>
      <arglist>(stdair::STDAIR_Service &amp;, SimulationStatus &amp;, const stdair::Date_T &amp;iStartDate, const stdair::Date_T &amp;iEndDate, const NbOfRuns_T &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TVLSIM::ConfigImport</name>
    <filename>classTVLSIM_1_1ConfigImport.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>importINI</name>
      <anchorfile>classTVLSIM_1_1ConfigImport.html</anchorfile>
      <anchor>a3e6b140b1a94607f0a003eeb3df92642</anchor>
      <arglist>(stdair::STDAIR_Service &amp;, const stdair::Date_T &amp;iStartDate, const stdair::Date_T &amp;iEndDate, const stdair::RandomSeed_T &amp;, const stdair::DemandGenerationMethod &amp;, const NbOfRuns_T &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>importFiles</name>
      <anchorfile>classTVLSIM_1_1ConfigImport.html</anchorfile>
      <anchor>abbd263f283edbdb8d43bd265ae99cb83</anchor>
      <arglist>(stdair::STDAIR_Service &amp;, const stdair::ScheduleFilePath &amp;, const stdair::ODFilePath &amp;, const stdair::FRAT5FilePath &amp;, const stdair::FFDisutilityFilePath &amp;, const AIRRAC::YieldFilePath &amp;, const SIMFQT::FareFilePath &amp;, const TRADEMGEN::DemandFilePath &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TVLSIM::FacDsimServiceContext</name>
    <filename>classTVLSIM_1_1FacDsimServiceContext.html</filename>
    <member kind="function">
      <type></type>
      <name>~FacDsimServiceContext</name>
      <anchorfile>classTVLSIM_1_1FacDsimServiceContext.html</anchorfile>
      <anchor>ab31a49485fc01f5ec2921ebf719e1986</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TVLSIM_ServiceContext &amp;</type>
      <name>create</name>
      <anchorfile>classTVLSIM_1_1FacDsimServiceContext.html</anchorfile>
      <anchor>a98884f8c693f4852061568c75e5a8c95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static FacDsimServiceContext &amp;</type>
      <name>instance</name>
      <anchorfile>classTVLSIM_1_1FacDsimServiceContext.html</anchorfile>
      <anchor>a3270aa9264bb2a46ae04274052817920</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacDsimServiceContext</name>
      <anchorfile>classTVLSIM_1_1FacDsimServiceContext.html</anchorfile>
      <anchor>a21c63490c384dab31ea49fb51aabc40a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TVLSIM::RDSParameters</name>
    <filename>structTVLSIM_1_1RDSParameters.html</filename>
    <member kind="function">
      <type>const std::string &amp;</type>
      <name>getScheduleInputFilename</name>
      <anchorfile>structTVLSIM_1_1RDSParameters.html</anchorfile>
      <anchor>a9cb9cb117d52f60b4473f897961993c8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScheduleInputFilename</name>
      <anchorfile>structTVLSIM_1_1RDSParameters.html</anchorfile>
      <anchor>a34b629eaf6fbc681b476c427541494a9</anchor>
      <arglist>(const std::string &amp;iInputFilename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toStream</name>
      <anchorfile>structTVLSIM_1_1RDSParameters.html</anchorfile>
      <anchor>a7030536825eaba2c2543814779c0304d</anchor>
      <arglist>(std::ostream &amp;ioOut) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromStream</name>
      <anchorfile>structTVLSIM_1_1RDSParameters.html</anchorfile>
      <anchor>aaa1d7f02a7be2d56d48e6c1e6f767ed1</anchor>
      <arglist>(std::istream &amp;ioIn)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structTVLSIM_1_1RDSParameters.html</anchorfile>
      <anchor>a3ee87a0fa03d686a4d00a2513f782f19</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RDSParameters</name>
      <anchorfile>structTVLSIM_1_1RDSParameters.html</anchorfile>
      <anchor>a733b9aa3b7521518ce30feace218e2c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RDSParameters</name>
      <anchorfile>structTVLSIM_1_1RDSParameters.html</anchorfile>
      <anchor>ae5e09093977ed9b5270d71a8782f8385</anchor>
      <arglist>(const RDSParameters &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~RDSParameters</name>
      <anchorfile>structTVLSIM_1_1RDSParameters.html</anchorfile>
      <anchor>ad45143014a889c050d2278a6a5ab767c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>_scheduleInputFilename</name>
      <anchorfile>structTVLSIM_1_1RDSParameters.html</anchorfile>
      <anchor>a5cc805801ae79da45357f65929b34227</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TVLSIM::SimulationException</name>
    <filename>classTVLSIM_1_1SimulationException.html</filename>
  </compound>
  <compound kind="struct">
    <name>TVLSIM::SimulationMode</name>
    <filename>structTVLSIM_1_1SimulationMode.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>EN_SimulationMode</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a92efe51ebf9457b481ef2afbb801bd7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>START</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a92efe51ebf9457b481ef2afbb801bd7aac64c3d7cf5c9d0c9c58a3639144f2527</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RUNNING</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a92efe51ebf9457b481ef2afbb801bd7aa0a9c48fd9d6c91fbcee6612cfa6e869b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BREAK</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a92efe51ebf9457b481ef2afbb801bd7aafa7929c5a199aff31526b18239e2b837</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DONE</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a92efe51ebf9457b481ef2afbb801bd7aa035f1549884548a576ce5b4959ff80bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LAST_VALUE</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a92efe51ebf9457b481ef2afbb801bd7aac05ef841ce8f70f8e56df7b38eb89404</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>START</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a92efe51ebf9457b481ef2afbb801bd7aac64c3d7cf5c9d0c9c58a3639144f2527</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RUNNING</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a92efe51ebf9457b481ef2afbb801bd7aa0a9c48fd9d6c91fbcee6612cfa6e869b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BREAK</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a92efe51ebf9457b481ef2afbb801bd7aafa7929c5a199aff31526b18239e2b837</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DONE</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a92efe51ebf9457b481ef2afbb801bd7aa035f1549884548a576ce5b4959ff80bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LAST_VALUE</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a92efe51ebf9457b481ef2afbb801bd7aac05ef841ce8f70f8e56df7b38eb89404</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>EN_SimulationMode</type>
      <name>getMode</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>ad788c5946639681c822dc12940e55102</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>char</type>
      <name>getModeAsChar</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a0f6b1d137cf08e785fd45d1badfc7b06</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>getModeAsString</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a1f5f73c07e008d53efe9d0aead360a3f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a4a6c400ae1442567d74c852969dbd4ea</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMode</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>afdc972d3b3f98798df21152b34825da6</anchor>
      <arglist>(const EN_SimulationMode &amp;iEN_SimulationMode)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a33e18a5ca0faee32ab7f2218d21bfa34</anchor>
      <arglist>(const EN_SimulationMode &amp;) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SimulationMode</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a900f31d45a7c4640d30e1c6a2aceb509</anchor>
      <arglist>(const EN_SimulationMode &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SimulationMode</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a33d51a82cf97ee0b6ba72d6ac5e88b68</anchor>
      <arglist>(const char)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SimulationMode</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a6f4afebf4dc529d4a40ab791dc77a5c7</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SimulationMode</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a41352cb2616df5b041af86fee8fad6aa</anchor>
      <arglist>(const SimulationMode &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string &amp;</type>
      <name>getLabel</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>ad1d68b9d8bfc6028e22086bd2095ebad</anchor>
      <arglist>(const EN_SimulationMode &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static EN_SimulationMode</type>
      <name>getMode</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a1532a790225766c1cad616157fb6d91c</anchor>
      <arglist>(const char)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static char</type>
      <name>getModeLabel</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>aaafb73b9b99c679d4a575ce1e894459f</anchor>
      <arglist>(const EN_SimulationMode &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>getModeLabelAsString</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>a5d75c14ad8c0eea6858b957cb9f6a62f</anchor>
      <arglist>(const EN_SimulationMode &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>describeLabels</name>
      <anchorfile>structTVLSIM_1_1SimulationMode.html</anchorfile>
      <anchor>aec17b13997964f3cfa3b19123cb0d7cf</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TVLSIM::SimulationStatus</name>
    <filename>structTVLSIM_1_1SimulationStatus.html</filename>
    <member kind="typedef">
      <type>SimulationStatusKey</type>
      <name>Key_T</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a526b29f2a7669ca703fcb79cfcf49897</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTheSimulationDone</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>afb4b2fecb2afdf3338a7f10d3affbcdf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::Date_T &amp;</type>
      <name>getStartDate</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>af1ade759016cb104bc3e55c52dc580d1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::Date_T &amp;</type>
      <name>getCurrentDate</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a0e06a969fc0d8ace2ab5fa312a0d320e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::Date_T &amp;</type>
      <name>getEndDate</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a411bc4de08e44941b44ed957f51846c2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const NbOfRuns_T &amp;</type>
      <name>getCurrentRun</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>af910bec07a28f78bc0cb3fd1db0c8722</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const NbOfRuns_T &amp;</type>
      <name>getTotalNumberOfRuns</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a456154e630af8fb9013cb152406694be</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const SimulationMode &amp;</type>
      <name>getSimulationMode</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>abd7dcdec04405df3540cd5f636beb9fa</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>SimulationMode::EN_SimulationMode</type>
      <name>getMode</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a4bac512baa165e9c146bf97efb88bb12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::NbOfBookings_T &amp;</type>
      <name>getCurrentNumberOfBookings</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a29299f9d99489819a3c60c27306fc494</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const double &amp;</type>
      <name>getCurrentElapsedTime</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a6b2ff9ef83ee0e448c409b6ee7f8619b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const double &amp;</type>
      <name>getCurrentEstimatedRemainingTime</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a83716cb2ba899a05681326d8db46531b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const stdair::ProgressStatus &amp;</type>
      <name>getCurrentProgressStatus</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>aaa806fd86de961fa54a3a3db77758f7e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const SEVMGR::ProgressStatusMap_T &amp;</type>
      <name>getProgressStatusMap</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>ae6b838c200d490e95c121c7d027da07c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSimulationPeriod</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a0ebd8fb1f16ff471f3299d598380e6ff</anchor>
      <arglist>(const stdair::Date_T &amp;iStartDate, const stdair::Date_T &amp;iEndDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentDate</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a27424502388ddbabd498268ddafc3207</anchor>
      <arglist>(const stdair::Date_T &amp;iCurrentDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateProgress</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>ad995706b167020ed2d0cef54a22941ca</anchor>
      <arglist>(const stdair::EventType::EN_EventType &amp;, const stdair::ProgressStatus &amp;, const double &amp;iEventMeasure=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>acbd8b7032e0963187783d7bd7bb88e37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>prepareNewRun</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a4bebf396f97c111282e4b3461a4584b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMode</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a77a4f320ba85843034af25a84a9ecf5c</anchor>
      <arglist>(const SimulationMode::EN_SimulationMode &amp;iEN_SimulationMode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>increaseGlobalNumberOfBookings</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>adb5dae9d530a1173fb137582d8c34505</anchor>
      <arglist>(const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentProgressStatus</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>ab51f97990936f285f4f7f2cdd404b0ad</anchor>
      <arglist>(const stdair::ProgressStatus &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTotalNumberOfRuns</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>aed7adaefd6b5cc3e0650083a4a449dc2</anchor>
      <arglist>(const NbOfRuns_T &amp;iNbOfRuns)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toStream</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a8bb68a16a12a9f82cf7f1ac11e4159d0</anchor>
      <arglist>(std::ostream &amp;ioOut) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromStream</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a3e3e0925fc37aab558b28037d8903d70</anchor>
      <arglist>(std::istream &amp;ioIn)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a92649a70b6e0fe464f6de9066bb38914</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describeKey</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>ab74c9674af1c592e5f91ee67e7af1090</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>displayStartStatusMessage</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>afa2045b7299658a58d2e9af4f6e24ffb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>displayEndStatusMessage</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>aa2e80d289f04214be7b810fc96c8913b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SimulationStatus</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a66152b916cf81076d0f9b8f4efeae151</anchor>
      <arglist>(const Key_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SimulationStatus</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>aba3494f7474d1dd2ae74d4f9231232f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SimulationStatus</name>
      <anchorfile>structTVLSIM_1_1SimulationStatus.html</anchorfile>
      <anchor>a793747a33759e829ce623d0bc76c2771</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TVLSIM::SimulationStatusKey</name>
    <filename>structTVLSIM_1_1SimulationStatusKey.html</filename>
    <member kind="function">
      <type>const SimulatorID_T &amp;</type>
      <name>getSimulationStatusID</name>
      <anchorfile>structTVLSIM_1_1SimulationStatusKey.html</anchorfile>
      <anchor>addce7b02d9b8184646befaead46ab3ab</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toStream</name>
      <anchorfile>structTVLSIM_1_1SimulationStatusKey.html</anchorfile>
      <anchor>a00fd1b52291d5ea65d037602c0468069</anchor>
      <arglist>(std::ostream &amp;ioOut) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromStream</name>
      <anchorfile>structTVLSIM_1_1SimulationStatusKey.html</anchorfile>
      <anchor>a5b93df55e27a043d91f371ab1b64d83f</anchor>
      <arglist>(std::istream &amp;ioIn)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>toString</name>
      <anchorfile>structTVLSIM_1_1SimulationStatusKey.html</anchorfile>
      <anchor>af9a64ba04b4dbd453fe679c1cdd1c22d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SimulationStatusKey</name>
      <anchorfile>structTVLSIM_1_1SimulationStatusKey.html</anchorfile>
      <anchor>a1047d31c4903a42a0cb569eacdd0c58b</anchor>
      <arglist>(const SimulatorID_T &amp;iSimulatorID)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SimulationStatusKey</name>
      <anchorfile>structTVLSIM_1_1SimulationStatusKey.html</anchorfile>
      <anchor>a4af34b28bb118420e0edf343a1f7d2e5</anchor>
      <arglist>(const SimulationStatusKey &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SimulationStatusKey</name>
      <anchorfile>structTVLSIM_1_1SimulationStatusKey.html</anchorfile>
      <anchor>ac3c7df08d1bed725d441f5ecf8b9001a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TVLSIM::Simulator</name>
    <filename>classTVLSIM_1_1Simulator.html</filename>
    <base>TVLSIM::CmdAbstract</base>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>TVLSIM_Service</name>
      <anchorfile>classTVLSIM_1_1Simulator.html</anchorfile>
      <anchor>a9fbf1f300c875229dc2f5094c3a25e30</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TVLSIM::TVLSIM_Service</name>
    <filename>classTVLSIM_1_1TVLSIM__Service.html</filename>
    <member kind="function">
      <type></type>
      <name>TVLSIM_Service</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a753a721125edfa0664429e0c4ae3cd05</anchor>
      <arglist>(const stdair::BasLogParams &amp;, const stdair::BasDBParams &amp;, const stdair::Date_T &amp;iStartDate, const stdair::Date_T &amp;iEndDate, const stdair::RandomSeed_T &amp;, const stdair::DemandGenerationMethod &amp;, const NbOfRuns_T &amp;iNbOfRuns=DEFAULT_NUMBER_OF_RUNS)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TVLSIM_Service</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a70dc9313d8919a482638e8f04cf986cc</anchor>
      <arglist>(const stdair::BasLogParams &amp;, const stdair::Date_T &amp;iStartDate, const stdair::Date_T &amp;iEndDate, const stdair::RandomSeed_T &amp;, const stdair::DemandGenerationMethod &amp;, const NbOfRuns_T &amp;iNbOfRuns=DEFAULT_NUMBER_OF_RUNS)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TVLSIM_Service</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a946465234a8095ab2588414bf23ae4e9</anchor>
      <arglist>(stdair::STDAIR_ServicePtr_T, const stdair::Date_T &amp;iStartDate, const stdair::Date_T &amp;iEndDate, const stdair::RandomSeed_T &amp;, const stdair::DemandGenerationMethod &amp;, const NbOfRuns_T &amp;iNbOfRuns=DEFAULT_NUMBER_OF_RUNS)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TVLSIM_Service</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>aa20fe6b4c27a461a2cfb69e2c585a365</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>simulate</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a6810a63a92d2531d78ff6f606695829b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>optimise</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a91f4b44b6ae375d2197326084cd448c0</anchor>
      <arglist>(const stdair::RMEventStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>displayAirlineListFromDB</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>aa19bd424b447e98e6063dd5e6c6f8eaa</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleBom</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a8557128dc1d921d03e35a69ae764ea73</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInputFiles</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>ab21de32c969c3a98d394c1487a6dc5e5</anchor>
      <arglist>(const stdair::ScheduleFilePath &amp;, const stdair::ODFilePath &amp;, const stdair::FRAT5FilePath &amp;, const stdair::FFDisutilityFilePath &amp;, const AIRRAC::YieldFilePath &amp;, const SIMFQT::FareFilePath &amp;, const TRADEMGEN::DemandFilePath &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAndLoad</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a323f8467850b6395aac9bc07d5d39e37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initSnapshotAndRMEvents</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>abb32473cfc47f784dc2235c22c643887</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const stdair::Count_T</type>
      <name>initBreakPointEvents</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>ac12c0582b471421c35924c01f8c95f52</anchor>
      <arglist>(const stdair::BreakPointList_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reinitServices</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a3781b51c222b81251b2786c1baa41136</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleTravelSolutions</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a632aa286d15adc99b667297e03d73f60</anchor>
      <arglist>(stdair::TravelSolutionList_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>stdair::BookingRequestStruct</type>
      <name>buildSampleBookingRequest</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a24d7a47a8f869545e746954cc3fd055a</anchor>
      <arglist>(const bool isForCRS=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a545bb6bdc974ebde53e73beb82e569fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sell</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>acb11389fe9ca4cb4de3763b9b090d751</anchor>
      <arglist>(const std::string &amp;iSegmentDateKey, const stdair::ClassCode_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>jsonHandler</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a62d2512c368576ef109698f5b9fa649b</anchor>
      <arglist>(const stdair::JSONString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a81cdb985ad19ecd26d1022942d40249b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>configDisplay</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>ace5c64726436078f84992c7254fc8cc0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>listEvents</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>ae6970dbc4b87d775e0c8a79dabc7aab3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>listEvents</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>ad7a5f905daaf249dd2c623db01db8265</anchor>
      <arglist>(const stdair::EventType::EN_EventType &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>simulationStatusDisplay</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>abb9030e455d8409a370c0f58b4a5e2c0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>list</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>ad7767e8b53be68766a89c3056990c48e</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode=&quot;all&quot;, const stdair::FlightNumber_T &amp;iFlightNumber=0) const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>a62a4da60468897c2048e5ba4f9742786</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;, const stdair::FlightNumber_T &amp;, const stdair::Date_T &amp;iDepartureDate) const</arglist>
    </member>
    <member kind="function">
      <type>const SimulationStatus &amp;</type>
      <name>getSimulationStatus</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__Service.html</anchorfile>
      <anchor>addbc082a304e7b48e164b5a367a2c516</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TVLSIM::TVLSIM_ServiceContext</name>
    <filename>classTVLSIM_1_1TVLSIM__ServiceContext.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>TVLSIM_Service</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__ServiceContext.html</anchorfile>
      <anchor>a9fbf1f300c875229dc2f5094c3a25e30</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FacDsimServiceContext</name>
      <anchorfile>classTVLSIM_1_1TVLSIM__ServiceContext.html</anchorfile>
      <anchor>aa3f92b49ba94fe33b83204a67ce8692e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>bpt</name>
    <filename>namespacebpt.html</filename>
    <member kind="typedef">
      <type>char</type>
      <name>ptree</name>
      <anchorfile>namespacebpt.html</anchorfile>
      <anchor>a51c586252f559bf084c3ba2a00d3a96e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>SEVMGR</name>
    <filename>namespaceSEVMGR.html</filename>
  </compound>
  <compound kind="namespace">
    <name>SIMCRS</name>
    <filename>namespaceSIMCRS.html</filename>
  </compound>
  <compound kind="namespace">
    <name>stdair</name>
    <filename>namespacestdair.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TRADEMGEN</name>
    <filename>namespaceTRADEMGEN.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TRAVELCCM</name>
    <filename>namespaceTRAVELCCM.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TVLSIM</name>
    <filename>namespaceTVLSIM.html</filename>
    <class kind="class">TVLSIM::BomAbstract</class>
    <class kind="class">TVLSIM::BomJSONExport</class>
    <class kind="class">TVLSIM::CmdAbstract</class>
    <class kind="class">TVLSIM::ConfigExport</class>
    <class kind="class">TVLSIM::ConfigImport</class>
    <class kind="class">TVLSIM::FacDsimServiceContext</class>
    <class kind="struct">TVLSIM::RDSParameters</class>
    <class kind="class">TVLSIM::SimulationException</class>
    <class kind="struct">TVLSIM::SimulationMode</class>
    <class kind="struct">TVLSIM::SimulationStatus</class>
    <class kind="struct">TVLSIM::SimulationStatusKey</class>
    <class kind="class">TVLSIM::Simulator</class>
    <class kind="class">TVLSIM::TVLSIM_Service</class>
    <class kind="class">TVLSIM::TVLSIM_ServiceContext</class>
    <member kind="typedef">
      <type>std::string</type>
      <name>SimulatorID_T</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>a89b6eca722e746822339968376751bfa</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>NbOfRuns_T</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>a75eae64a344b05d283af4ec914c9c451</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; TVLSIM_Service &gt;</type>
      <name>TVLSIM_ServicePtr_T</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>a5c06b875526e94764428635f0a5a2a6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::map&lt; stdair::EventType::EN_EventType, double &gt;</type>
      <name>ChronometerMap_T</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>ab69cf381c3a827dd2fe4c1ea146b6b3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const stdair::Date_T</type>
      <name>DEFAULT_SIMULATION_START_DATE</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>adebd480c809c33aad9827cb56c548afa</anchor>
      <arglist>(2010, boost::gregorian::Jan, 1)</arglist>
    </member>
    <member kind="function">
      <type>const stdair::Date_T</type>
      <name>DEFAULT_SIMULATION_END_DATE</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>a8519adc0abe202009d14fda8af1c43fe</anchor>
      <arglist>(2010, boost::gregorian::Dec, 31)</arglist>
    </member>
    <member kind="function">
      <type>const NbOfRuns_T</type>
      <name>DEFAULT_NUMBER_OF_RUNS</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>a02d9036f676d2a36ef5d7e0d7b9185e3</anchor>
      <arglist>(1)</arglist>
    </member>
    <member kind="function">
      <type>const stdair::ConfigINIFile</type>
      <name>DEFAULT_CONFIG_INI_FILE</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>af602629b961cee3d4271cf4162e04a62</anchor>
      <arglist>(&quot;tvlsim.cfg&quot;)</arglist>
    </member>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_TVLSIM_ID</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>a958b6577fd1fad0deb0f4431c32751d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const NbOfRuns_T</type>
      <name>DEFAULT_NUMBER_OF_RUNS</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>acc4e294e0c470d21445335b4d5316558</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const stdair::Date_T</type>
      <name>DEFAULT_SIMULATION_START_DATE</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>a5eaad08ad260bfe5d37df7acf8813f6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const stdair::Date_T</type>
      <name>DEFAULT_SIMULATION_END_DATE</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>a9a78d65a5248b3334a0c0aeebe2c71aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const stdair::ConfigINIFile</type>
      <name>DEFAULT_CONFIG_INI_FILE</name>
      <anchorfile>namespaceTVLSIM.html</anchorfile>
      <anchor>aa198f4e9be5e4e36011c9086f9b813d0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>authors</name>
    <title>TvlSim People</title>
    <filename>authors.html</filename>
    <docanchor file="authors.html" title="Project Admins (and Developers)">admins</docanchor>
    <docanchor file="authors.html" title="Retired Developers">retired</docanchor>
    <docanchor file="authors.html" title="Contributors">contributors</docanchor>
    <docanchor file="authors.html" title="Distribution Maintainers">distributors</docanchor>
    <docanchor file="index.html">N</docanchor>
  </compound>
  <compound kind="page">
    <name>coding_rules</name>
    <title>Coding Rules</title>
    <filename>coding_rules.html</filename>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Variables">cr_variables</docanchor>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Functions">cr_functions</docanchor>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Classes and Structures">cr_classes</docanchor>
    <docanchor file="coding_rules.html" title="Default Naming Rules for Files">cr_files</docanchor>
    <docanchor file="coding_rules.html" title="Default Functionality of Classes">cr_classes_functionality</docanchor>
  </compound>
  <compound kind="page">
    <name>copyright</name>
    <title>Copyright and License</title>
    <filename>copyright.html</filename>
    <docanchor file="copyright.html" title="GNU LESSER GENERAL PUBLIC LICENSE">gnugpl</docanchor>
    <docanchor file="copyright.html" title="Version 2.1, February 1999">version</docanchor>
    <docanchor file="copyright.html" title="Preamble">preamble</docanchor>
    <docanchor file="copyright.html" title="TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION">terms</docanchor>
    <docanchor file="copyright.html" title="NO WARRANTY">nowarranty</docanchor>
    <docanchor file="copyright.html" title="END OF TERMS AND CONDITIONS">endofterms</docanchor>
    <docanchor file="copyright.html" title="How to Apply These Terms to Your New Programs">howtoapply</docanchor>
  </compound>
  <compound kind="page">
    <name>documentation</name>
    <title>Documentation Rules</title>
    <filename>documentation.html</filename>
    <docanchor file="documentation.html" title="General Rules">doc_general</docanchor>
    <docanchor file="documentation.html" title="File Header">doc_header</docanchor>
    <docanchor file="documentation.html" title="Grouping Various Parts">doc_groups</docanchor>
  </compound>
  <compound kind="page">
    <name>features</name>
    <title>Main features</title>
    <filename>features.html</filename>
    <docanchor file="features.html" title="Network generation">ng_features</docanchor>
    <docanchor file="features.html" title="Inventory generation">ig_features</docanchor>
    <docanchor file="features.html" title="Demand generation">dg_features</docanchor>
    <docanchor file="features.html" title="Finding travel solutions">ts_features</docanchor>
    <docanchor file="features.html" title="Customer Choice Model (CCM)">cc_features</docanchor>
    <docanchor file="features.html" title="Distributed inventories">di_features</docanchor>
    <docanchor file="features.html" title="Other features">other_features</docanchor>
  </compound>
  <compound kind="page">
    <name>help_wanted</name>
    <title>Make a Difference</title>
    <filename>help_wanted.html</filename>
  </compound>
  <compound kind="page">
    <name>installation</name>
    <title>Installation</title>
    <filename>installation.html</filename>
    <docanchor file="verification.html" title="Table of Contents">toc</docanchor>
    <docanchor file="installation.html" title="Fedora/RedHat Linux distributions">rpm_linux</docanchor>
    <docanchor file="installation.html" title="TvlSim Requirements">requirements</docanchor>
    <docanchor file="installation.html" title="Basic Installation">basic_instructions</docanchor>
    <docanchor file="installation.html" title="Compilers and Options">compilers</docanchor>
    <docanchor file="installation.html" title="Compiling For Multiple Architectures">compiling_for_multi_arch</docanchor>
    <docanchor file="installation.html" title="Installation Names">installation_names</docanchor>
    <docanchor file="installation.html" title="Optional Features">optional_features</docanchor>
    <docanchor file="installation.html" title="Particular systems">particular_systems</docanchor>
    <docanchor file="installation.html" title="Specifying the System Type">specifying_system_type</docanchor>
    <docanchor file="installation.html" title="Sharing Defaults">sharing_defaults</docanchor>
    <docanchor file="installation.html" title="Defining Variables">defining_variables</docanchor>
    <docanchor file="installation.html" title="&amp;lsquo;cmake&amp;rsquo; Invocation">cmake_invocation</docanchor>
  </compound>
  <compound kind="page">
    <name>linking</name>
    <title>Linking with TvlSim</title>
    <filename>linking.html</filename>
    <docanchor file="verification.html" title="Introduction">intro</docanchor>
    <docanchor file="linking.html" title="Dependencies">dependencies</docanchor>
    <docanchor file="linking.html" title="StdAir">stdairdep</docanchor>
    <docanchor file="linking.html" title="Other Simulation-Related Components">compdep</docanchor>
    <docanchor file="linking.html" title="Using the pkg-config command">pkgconfig</docanchor>
    <docanchor file="linking.html" title="Using the tvlsim-config script">tvlsim_config</docanchor>
    <docanchor file="linking.html" title="M4 macro for the GNU Autotools">autotools</docanchor>
    <docanchor file="linking.html" title="Using TvlSim with dynamic linking">dynamiclinking</docanchor>
  </compound>
  <compound kind="page">
    <name>test</name>
    <title>Test Rules</title>
    <filename>test.html</filename>
    <docanchor file="test.html" title="The Test Source Files">test_source</docanchor>
    <docanchor file="test.html" title="The Reference File">reference_file</docanchor>
    <docanchor file="test.html" title="Testing TvlSim Library">testing_using_make</docanchor>
  </compound>
  <compound kind="page">
    <name>users_guide</name>
    <title>Users Guide</title>
    <filename>users_guide.html</filename>
    <docanchor file="users_guide.html" title="Table of Contents">ug_toc</docanchor>
    <docanchor file="users_guide.html" title="Introduction">ug_introduction</docanchor>
    <docanchor file="users_guide.html" title="Get Started">ug_get_started</docanchor>
    <docanchor file="users_guide.html" title="Get the TvlSim library">ug_get_source</docanchor>
    <docanchor file="users_guide.html" title="Build the TvlSim project">ug_build_binaries</docanchor>
    <docanchor file="users_guide.html" title="Build and Run the Tests">ug_build_and_run_tests</docanchor>
    <docanchor file="users_guide.html" title="Install the TvlSim Project (Binaries, Documentation)">ug_install_project</docanchor>
    <docanchor file="users_guide.html" title="Input file of TvlSim Project">ug_inputfile</docanchor>
    <docanchor file="users_guide.html" title="The schedule BOM Tree">ug_bom_bom</docanchor>
    <docanchor file="users_guide.html" title="Build of the schedule BOM tree">ug_bom_build</docanchor>
    <docanchor file="users_guide.html" title="Display of the schedule BOM tree">ug_bom_display</docanchor>
    <docanchor file="users_guide.html" title="Exploring the Predefined BOM Tree">ug_bom_structure</docanchor>
    <docanchor file="users_guide.html" title="Airline Network BOM Tree">ug_bom_network</docanchor>
    <docanchor file="users_guide.html" title="Airline Schedule BOM Tree">ug_bom_schedule</docanchor>
    <docanchor file="users_guide.html" title="Extending the BOM Tree">ug_extending_bom_tree</docanchor>
    <docanchor file="users_guide.html" title="The travel solution calculation procedure">ug_procedure</docanchor>
  </compound>
  <compound kind="page">
    <name>verification</name>
    <title>Supported Systems</title>
    <filename>verification.html</filename>
    <docanchor file="verification.html" title=".1 TvlSim 0.1.x">tvlsim_0</docanchor>
    <docanchor file="verification.html" title="Linux Systems">linux</docanchor>
    <docanchor file="verification.html" title="Fedora Core 4 with ATLAS">fedora_atlas</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with ACML">gentoo_acml</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with ATLAS">gentoo_atlas</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with MKL">gentoo_mkl</docanchor>
    <docanchor file="verification.html" title="Gentoo Linux with NetLib&apos;s BLAS and LAPACK">gentoo_netlib</docanchor>
    <docanchor file="verification.html" title="Red Hat Enterprise Linux with TvlSim External">rhel</docanchor>
    <docanchor file="verification.html" title="SUSE Linux 10.0 with NetLib&apos;s BLAS and LAPACK">suse_netlib</docanchor>
    <docanchor file="verification.html" title="SUSE Linux 10.0 with MKL">suse_mkl</docanchor>
    <docanchor file="verification.html" title="Windows Systems">windows</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with Cygwin">cygwin</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with Cygwin and ATLAS">cygwin_atlas</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with Cygwin and ACML">cygwin_acml</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with MinGW, MSYS and ACML">mingw_acml</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with MinGW, MSYS and TvlSim External">mingw_netlib</docanchor>
    <docanchor file="verification.html" title="Microsoft Windows XP with MS Visual C++ and Intel MKL">msvc_mkl</docanchor>
    <docanchor file="verification.html" title="Unix Systems">unix</docanchor>
    <docanchor file="verification.html" title="SunOS 5.9 with TvlSim External">sunos59</docanchor>
  </compound>
  <compound kind="page">
    <name>verification_old</name>
    <title>TvlSim Supported Systems (Previous Releases)</title>
    <filename>verification_old.html</filename>
    <docanchor file="verification_old.html" title="TvlSim 3.9.1">tvlsim_3_9_1</docanchor>
    <docanchor file="verification_old.html" title="TvlSim 3.9.0">tvlsim_3_9_0</docanchor>
    <docanchor file="verification_old.html" title="TvlSim 3.8.1">tvlsim_3_8_1</docanchor>
  </compound>
  <compound kind="page">
    <name>tutorials</name>
    <title>Tutorials</title>
    <filename>tutorials.html</filename>
    <docanchor file="tutorials.html" title="Table of Contents">tut_toc</docanchor>
    <docanchor file="tutorials.html" title="Preparing the AirTSP Project for Development">tut_configuration</docanchor>
    <docanchor file="tutorials.html" title="Your first networkBuilde">tut_procedure</docanchor>
    <docanchor file="tutorials.html" title="Summary of the different steps">tut_procedure_summary</docanchor>
    <docanchor file="tutorials.html" title="Result of the Batch Program">tut_procedure_results</docanchor>
    <docanchor file="tutorials.html" title="Network building with an input file">tut_how_network_building_file</docanchor>
    <docanchor file="tutorials.html" title="How to build a network input file?">tut_how_build_network_file</docanchor>
    <docanchor file="tutorials.html" title="Building the BOM tree  with an input file">tut_how_network_building</docanchor>
    <docanchor file="tutorials.html" title="Result of the Batch Program">tut_how_network_building_result</docanchor>
  </compound>
  <compound kind="page">
    <name>SimulationTestSuite_cpp</name>
    <title>Command-Line Test to Demonstrate How To Test TvlSim</title>
    <filename>SimulationTestSuite_cpp.html</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>TvlSim Documentation</title>
    <filename>index.html</filename>
    <docanchor file="index.html" title="Getting Started">getting_started</docanchor>
    <docanchor file="index.html" title="TvlSim at SourceForge">at_sourceforge</docanchor>
    <docanchor file="index.html" title="TvlSim Development">development</docanchor>
    <docanchor file="index.html" title="External Libraries">external_libs</docanchor>
    <docanchor file="index.html" title="Support TvlSim">social_sponsorship</docanchor>
    <docanchor file="index.html" title="About TvlSim">about</docanchor>
  </compound>
</tagfile>
